/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-15
 * 描述            ：平整机出口卷线上称重实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.MesTpmWgtMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_TPM_WGT", namespace=MesTpmWgtMapper.class)
public class MesTpmWgt extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5219751479096583009L;
	/** 
	 * 称重编号（YYMMDD+5位流水）
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 作业计划号
	 */ 
	@Column
	private String schedule_no;
	public String getSchedule_no() {
		return this.schedule_no;
	}
	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	/** 
	 * 原料卷号
	 */ 
	@Column
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 重量来源（1：采集、2：人工）
	 */ 
	@Column
	private String wgt_source;
	public String getWgt_source() {
		return this.wgt_source;
	}
	public void setWgt_source(String wgt_source) {
		this.wgt_source = wgt_source;
	}

	/** 
	 * 重量值
	 */ 
	@Column
	private Double wgt_value;
	public Double getWgt_value() {
		return this.wgt_value;
	}
	public void setWgt_value(Double wgt_value) {
		this.wgt_value = wgt_value;
	}

	/** 
	 * 称重时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date wgt_time;
	public Date getWgt_time() {
		return this.wgt_time;
	}
	public void setWgt_time(Date wgt_time) {
		this.wgt_time = wgt_time;
	}

	/** 
	 * 分配标识（1：是、0：否）
	 */ 
	@Column
	private String divide_flag;
	public String getDivide_flag() {
		return this.divide_flag;
	}
	public void setDivide_flag(String divide_flag) {
		this.divide_flag = divide_flag;
	}

	/** 
	 * 分配时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date divide_time;
	public Date getDivide_time() {
		return this.divide_time;
	}
	public void setDivide_time(Date divide_time) {
		this.divide_time = divide_time;
	}

	/** 
	 * 分配人
	 */ 
	@Column
	private String divide_opr;
	public String getDivide_opr() {
		return this.divide_opr;
	}
	public void setDivide_opr(String divide_opr) {
		this.divide_opr = divide_opr;
	}
	
	/**
	 * 称重卷号
	 */
	@Column
	private String coil_no;
	public String getCoil_no() {
		return coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}

}
